TypeScript client
import { OctosparkClient } from '@octospark/sdk'
const client = new OctosparkClient({
token: process.env.OCTOSPARK_TOKEN
})
const response = await client.slideshows.getRunBundle({
teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
}){
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"latestCheckpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"latestSuggestion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
}
}Slideshows
Run bundle
Retrieve the saved prompt, tool versions, source files, references and outputs for an agent run. Agents use this bundle to inspect or continue work with its recorded runtime configuration.
GET
/
v1
/
teams
/
{teamId}
/
content
/
artifact-runs
/
{runId}
/
bundle
TypeScript client
import { OctosparkClient } from '@octospark/sdk'
const client = new OctosparkClient({
token: process.env.OCTOSPARK_TOKEN
})
const response = await client.slideshows.getRunBundle({
teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
}){
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"latestCheckpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
},
"latestSuggestion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 123,
"sha256": "<string>",
"bundle": {
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptVersion": "<string>",
"harnessVersion": "<string>",
"toolVersions": {},
"runtimeImageDigest": "<string>",
"sourceFiles": [
{
"path": "<string>",
"contents": "<string>",
"sha256": "<string>"
}
],
"dependencyLockfile": "<string>",
"assetManifest": [
{
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"path": "<string>"
}
],
"input": {},
"output": {},
"createdAt": "<string>",
"project": {},
"session": [
"<unknown>"
]
},
"createdAt": "<string>",
"expiresAt": "<string>",
"browserPreviewUrl": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.
Artifact run id (UUID), as returned by slideshow generation or slide regeneration.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Response
MediaRunBundleResponse
a Universally Unique Identifier
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Available options:
pending, available, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I